APIIssues
Get issue rejection eligibility
Get the rejection deadline, cycle quota, and billing effect for an issue.
GET https://api.sazabi.com/v1/issues/{issueId}/rejection
Path Parameters
issueId*string
Issue ID to inspect for rejection.
Format
uuidResponse Body
application/json
curl -X GET "https://example.com/issues/497f6eca-6276-4993-bfeb-53cbbbba6f08/rejection"{ "context": { "issueId": "96179c34-d541-49af-b046-c06f0377732c", "rejection": { "rejectedAt": "2019-08-24T14:15:22Z", "actorName": "string" }, "reasonChoices": [ "not_real" ], "cycleLabel": "string", "eligible": true, "reason": "issue_not_found", "billingCycleId": "b7180242-5cb2-42f0-8b1a-ada6a2429b5d", "cycleStartsAt": "2019-08-24T14:15:22Z", "cycleEndsAt": "2019-08-24T14:15:22Z", "deadlineAt": "2019-08-24T14:15:22Z", "limit": -9007199254740991, "used": 0, "remaining": 0, "billingEffect": { "kind": "issue_usage_unit_correction", "currency": "string", "unitPrice": "string" }, "receipt": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "issueId": "96179c34-d541-49af-b046-c06f0377732c", "billingCycleId": "b7180242-5cb2-42f0-8b1a-ada6a2429b5d", "actorUserId": "string", "reason": "not_real", "acceptedAt": "2019-08-24T14:15:22Z", "deadlineAt": "2019-08-24T14:15:22Z", "adjustment": { "status": "pending", "rejectionId": "4eab35b8-9425-451d-939e-045fff92b914" } } }}